%define snapshot bzr61
%define rel %{?snapshot:.%{snapshot}}
%define _update_pot 1

# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gwibber
Version:	0.7
Release:	%{?snapshot:0.}9%{?rel}%{?dist}
Summary:	A status management client application for GNOME

Group:		Applications/Internet
License:	GPLv2+
URL:		https://code.launchpad.net/gwibber
Source0:	gwibber-%{version}%{?rel}.tar.bz2
Patch0:	        gwibber-0.7.bzr61.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel

%if %{_update_pot}
BuildRequires:	python-setuptools python-babel python-babel-glade
%endif

Requires:	python-simplejson
Requires:	notify-python
Requires:	gnome-python2-gconf
Requires:	pygtk2
Requires:	dbus-python

%description
Gwibber is a status management client application for the GNOME desktop
environment. It can transmit status message updates to Twitter, Jaiku,
Facebook, and Pidgin.


%prep
%setup -q -n gwibber.bzr.main
%patch0 -b .bzr61


%build
%{__python} setup.py build

%if %{_update_pot}
# cannot handle .desktop file yet
%{__python} setup.py extract_messages -o po/%{name}.pot
find po/*.po -exec msgmerge --update "{}" po/%{name}.pot \;
%endif

sed -i -e 's/^#!.*$//' build/lib/gwibber/*.py # avoid rpmlint warning

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# cannot use python-bable to compile catalog yet
for PO in po/*.po; do 
  PO=`basename $PO`
  PO=${PO%%.po}
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/${PO}/LC_MESSAGES
  msgfmt --statistics po/${PO}.po -o $RPM_BUILD_ROOT%{_datadir}/locale/${PO}/LC_MESSAGES/%{name}.mo
done


desktop-file-install --vendor fedora    \
        --dir %{buildroot}%{_datadir}/applications      \
        --delete-original       \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -rf %{_buildroot}/%{_datadir}/pixmaps
install -p -m 644 -D ui/gwibber.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%find_lang %{name}

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
# For noarch packages: sitelib
%{python_sitelib}/*
%{_bindir}/gwibber
%{_datadir}/gwibber
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Sat Aug 09 2008 bbbush <bbbush.yuan@gmail.com> - 0.7-0.9.bzr61
- optionally depend on python-babel and python-babel-glade
